OPT=
RM=rm
CP=cp
LipSync.exe: Boare.Lib.Media.dll Boare.Lib.Vsq.dll Boare.Lib.AppUtil.dll IPlugin.dll Boare.Lib.Swf.dll bocoree.dll Properties/Resources.resources
	gmcs -unsafe+ -recurse:*.cs -target:exe -out:LipSync.exe -warn:0 -define:MONO -codepage:utf8 \
	     -resource:Properties/Resources.resources,LipSync.Properties.Resources.resources \
	     -r:System.Windows.Forms,System.Drawing,System.Web \
	     -r:Boare.Lib.Media.dll,Boare.Lib.Vsq.dll,Boare.Lib.AppUtil.dll,IPlugin.dll,Boare.Lib.Swf,bocoree.dll

Properties/Resources.resources: Properties/Resources.resx
	perl EditResx.pl Properties/Resources.resx
	cd Properties && resgen Resources_.resx Resources.resources
	$(RM) Properties/Resources_.resx

clean:
	$(RM) LipSync.exe Boare.Lib.Media.dll Boare.Lib.Vsq.dll Boare.Lib.AppUtil.dll IPlugin.dll Boare.Lib.Swf.dll \
              bocoree.dll Background.dll NicoComment.dll VFlip.dll
